Last Comment Bug 861933 - Adjust the viewPicker and locationFolders appearance with bug 814041 and bug 853431 in toolkit
: Adjust the viewPicker and locationFolders appearance with bug 814041 and bug ...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Windows 7
: -- normal (vote)
: Thunderbird 24.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: 876222
  Show dependency treegraph
 
Reported: 2013-04-15 09:25 PDT by Richard Marti (:Paenglab)
Modified: 2013-06-25 05:18 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (2.92 KB, patch)
2013-04-15 09:39 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Review
proposed fix v2 (2.95 KB, patch)
2013-05-18 09:57 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
Details | Diff | Review
comparison of before and after the patch (13.80 KB, image/png)
2013-05-18 09:58 PDT, Richard Marti (:Paenglab)
no flags Details

Description Richard Marti (:Paenglab) 2013-04-15 09:25:36 PDT
This are only some slight adjustments and removes of now doubled code after the landing of bug 814041 and bug 853431.
Comment 1 Richard Marti (:Paenglab) 2013-04-15 09:39:16 PDT
Created attachment 737539 [details] [diff] [review]
proposed fix

This patch removes the styles which are now in toolkit. I added code to make both menulists the same height. One has icons in it, the other not and we are using -moz-appearance: none to make them look like the toolbar-buttons. This makes them not the same height without my changes.

On #locationFolders the icon was to near to the text, I added 1px of space.

On #viewPickerLabel the menus had a big indentation. With this patch the menus are aligned with the menuitems.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2013-05-18 08:57:10 PDT
Hey Richard,

I'm not likely to be near my Windows machine this weekend. Could you please post before and after pictures with this patch so I can ui-r?

-Mike
Comment 3 Richard Marti (:Paenglab) 2013-05-18 09:57:43 PDT
Created attachment 751367 [details] [diff] [review]
proposed fix v2

At making the comparison I saw a need to remove also a margin of 2px on #viewPickerPopup > menu > .menu-text to align the menu correctly with the menuitems.
Comment 4 Richard Marti (:Paenglab) 2013-05-18 09:58:27 PDT
Created attachment 751368 [details]
comparison of before and after the patch
Comment 5 Mike Conley (:mconley) - (needinfo me!) 2013-05-18 10:09:33 PDT
Hm...not sure if the separators are supposed to start 1/4 of the way across the popup. Can that be corrected here too? Or is this that something better suited to a follow-up?
Comment 6 Richard Marti (:Paenglab) 2013-05-18 10:13:24 PDT
I tried this. The only possibility is -moz-appearance: none, but this draws then a black separator. It wouldn't be easy to find the correct color for the native separator.

I could try it in a follow-up bug.
Comment 7 Mike Conley (:mconley) - (needinfo me!) 2013-05-25 15:59:24 PDT
Comment on attachment 751367 [details] [diff] [review]
proposed fix v2

I'd say the indented menuitems are less desirable than the partially completed separators, so let's go with this patch for now.

But please file a follow-up bug to do something about those separators, if you haven't already.
Comment 8 Richard Marti (:Paenglab) 2013-05-26 01:27:55 PDT
Bug 876222 filed.
Comment 9 Ryan VanderMeulen [:RyanVM] 2013-05-28 10:17:44 PDT
https://hg.mozilla.org/comm-central/rev/a33b78472f55
Comment 10 :aceman 2013-05-29 03:14:09 PDT
Did you make the "View" dropdown and the preceding folder picker the same height? It looks like that is also needed on other platforms (at least I see it on Win XP).
Comment 11 Richard Marti (:Paenglab) 2013-05-29 03:32:33 PDT
Yes. Please can you file a bug for this under XP? Then the issue you wrote in bug 876222 can also be fixed there.

Note You need to log in before you can comment on or make changes to this bug.